%define shortname kpl

Summary:	Graphical presentation of data sets and functions
Name:         	kpl2
Version:      	2.1.1
Release:	6mdk
License:    	GPL
URL:		http://frsl06.physik.uni-freiburg.de/privat/stille/kpl/
Group:          Sciences/Mathematics

Source:       	%{shortname}-%{version}.tar.bz2

Buildroot:	%_tmppath/%name-%version-%release-root
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel
BuildRequires:	XFree86-libs Mesa-common XFree86-static-libs automake autoconf
BuildRequires:	diffutils file m4 texinfo gettext libjpeg62-devel kdelibs-devel
BuildRequires:	gcc-c++ kdelibs libbinutils2 libbzip2_1 db1 freetype2 libjpeg62
BuildRequires:	libmng1 libpng2 libqt2 libqt2-devel rpm-build


%description
kpl is a program for two-dimensional graphical presentation of data
sets and functions. Multidimensional nonlinear parameter fits of
functions to data sets can be performed using the Levenberg-Marquardt
algorithm. Also general linear least square parameter fits are possible.
All settings necessary for a complete description of the presentation
can be saved in plot files. These files as well as data files may be
chosen by command line parameters, using the File menu, or by drag and
drop.

Automatic scaling and normalization allow the easy graphical presentation
of data. Also parameter fits can be performed automatically.
The settings of a presentation may be changed using the Edit menu. Here
also additional data sets and functions can be included which
can be displayed in the same as well as in different data windows.

%prep

%setup -q -n %{shortname}-%{version}

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
	./configure --prefix=%_prefix \
		    --datadir=%_datadir \
		    --mandir=%_mandir \
		    --enable-final \
		    --disable-rpath \
		    --includedir=%_includedir

%make

%install
%makeinstall kde_includes=$RPM_BUILD_ROOT%_includedir 

install -d %buildroot/%_menudir/
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}):\
command="%_bindir/kpl"\
title="Kpl"\
longtitle="Functions representation"\
needs="x11"\
section="Applications/Sciences/Mathematics"\
icon="kpl.png"\
kde_command="kpl %i %m -caption \"%c\" %U"\
kde_opt="\\nMiniIcon=kpl.png\\nDocPath=kpl/index.html\\nMapNotify=true\\nTerminal=0"
EOF


%post
%update_menus
  
%postun
%clean_menus 

%clean
rm -fr %buildroot

%files
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%_bindir/*
%_datadir/applnk/Applications/kpl.desktop
%_datadir/apps/kpl/

%_iconsdir/hicolor/48x48/apps/kpl.png
%_iconsdir/hicolor/48x48/mimetypes/plo.png
%_iconsdir/locolor/16x16/apps/kpl.png
%_iconsdir/locolor/16x16/mimetypes/plo.png
%_iconsdir/locolor/32x32/apps/kpl.png    
%_iconsdir/locolor/32x32/mimetypes/plo.png

%lang(de) %_datadir/locale/de/LC_MESSAGES/kpl.mo
%lang(pl) %_datadir/locale/pl/LC_MESSAGES/kpl.mo

%_datadir/mimelnk/application/x-plo.desktop

%doc %_docdir/HTML/de/kpl/
%doc %_docdir/HTML/en/kpl/

%_menudir/*

%_includedir/*.h

%changelog
* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-6mdk
- Move KDE menu entry in %%_datadir/applk
- Change Group to Sciences/Mathematics
- Rebuild against latest GCC

* Sat Mar 31 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-5mdk
- Fix BuildRequire on non %%ix86 architectures
- Clean after build

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-4mdk
- Add build requires

* Tue Mar 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-3mdk
- Clean spec

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Rebuild against Qt 2.3.0

* Tue Feb 13 2001 Lenny Cartier <lenny@mandrakesoft.vom> 2.1.1-1mdk
- Used srpm from  RA <ralf.ahlbrink@i.am> :
	- updated
- fix install

* Mon Dec 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0-1mdk
- new in contribs
